<?php
session_start();
if(!isset($_SESSION['adm1n']) || $_SESSION['adm1n']['Nbr'] == ''){
  
       header("Location: ../misc/default.php");
       exit;
       
}
require_once("../../includes/php/defines.php");
require_once("../../includes/php/classes/mainClass.php");
require_once("../../includes/php/classes/documentClass.php");
$d = new docClass;
$info = $d->getGetDocCategoryInfo($_GET['Id']);


?>
<section>
	<div class="container-fluid">
		<div class="container">
			<div class="col-md-12 result-heading">
				<div class="rh-form">		
				<?php
				if(isset($_GET['ReturnPage']) && $_GET['ReturnPage'] != ''){                                        

						echo '<form>';
						echo '<div class="form-group">';
						echo '<div class="return-div"><span onclick="contentChanger(\''.$_GET['ReturnPage'].'\');"><< RETURN TO document categories MANAGER</span></div>';
						echo '</div>';       
						echo '</form>';  

				}             
				?>		
					<h1>Edit Document Category</h1>					
					<form class="a-r-form" id="Admin_Form">
						<div id="Animation">
							<div class="blockG" id="rotateG_01"></div>
							<div class="blockG" id="rotateG_02"></div>
							<div class="blockG" id="rotateG_03"></div>
							<div class="blockG" id="rotateG_04"></div>
							<div class="blockG" id="rotateG_05"></div>
							<div class="blockG" id="rotateG_06"></div>
							<div class="blockG" id="rotateG_07"></div>
							<div class="blockG" id="rotateG_08"></div>                                            
						</div>
						<div id="Result"></div>                      
						<div class="form-group">
							<label>Category Name</label>
							<input type="text" class="col-md-12" id="Name" name="Name" value="<?php echo $info['Name']; ?>">
						</div>						
						<div class="form-group">
							<label>Hidden or Public</label>
							<div class="col-md-4">
								<input type="radio" id="Hidden_Yes" value="1" name="Hidden" <?php if($info['Hidden'] == '1'){ echo 'checked="checked"'; } ?> > <span class="cbox">Hidden</span>
							</div>
							<div class="col-md-4">
								<input type="radio" id="Hidden_No" value="0" name="Hidden" <?php if($info['Hidden'] == '0'){ echo 'checked="checked"'; } ?> > <span class="cbox">Public</span>
							</div>
						</div>
						<div class="form-group" id="Submit_Paragraph">
              <input type="hidden" id="Id" name="Id" value="<?php echo $info['Nbr']; ?>"/>
							<input type="button" value="submit" onclick="processForm('Edit_Document_Category','No_Clear');">
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
</section>